Bug 10003 - s3-lib:segmentation fault while reading incomplete session info
s3-lib:segmentation fault while reading incomplete session info
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 14:45 UTC by Björn Baumbach
Modified: 2013-07-18 17:49 UTC (History)
1 user (show)

See Also:


Attachments
patch set for 4.0 cherry-picked from master (6.05 KB, patch)
2013-07-10 07:48 UTC, Björn Baumbach
metze: review+
jra: review+
Details
patch set for 4.1 cherry-picked from master (6.05 KB, patch)
2013-07-10 07:48 UTC, Björn Baumbach
metze: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2013-07-08 14:45:18 UTC
smbstatus/net status shares are segfaulting if there are incomplete sessions.
Need to check whether session_info is available or not.


Patch follows up.
Comment 1 Björn Baumbach 2013-07-10 07:48:18 UTC
Created attachment 9035 [details]
patch set for 4.0 cherry-picked from master
Comment 2 Björn Baumbach 2013-07-10 07:48:54 UTC
Created attachment 9036 [details]
patch set for 4.1 cherry-picked from master
Comment 3 Jeremy Allison 2013-07-11 00:32:27 UTC
Re-assigning to Karolin for inclusion in 4.1.0 and 4.0.next.
Jeremy.
Comment 4 Karolin Seeger 2013-07-15 19:04:28 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-07-18 17:49:43 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!